const APP_DISPLAY_NAME = "Cards";
const APP_NAME = "cards";
const APP_PACKAGE = "/clav.co.uk/cards";
const APP_VERSION = "0.10.3";

const APP_JAR_FILE = "cards.jar";
const APP_CONTENT_FOLDER = "content/cards/";
const APP_LOCALE_FOLDER  = "locale/en-US/cards/";
// const APP_SKIN_FOLDER

const APP_SUCCESS_MESSAGE = "To play cards type \"chrome://cards/content/\" in the location bar.";


initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

var chromef = getFolder("Chrome");
var err = addFile(APP_PACKAGE, APP_VERSION, APP_JAR_FILE, chromef, null)
if(err == SUCCESS) {
  var jar = getFolder(chromef, APP_JAR_FILE);
  registerChrome(CONTENT | DELAYED_CHROME, jar, APP_CONTENT_FOLDER);
  registerChrome(LOCALE  | DELAYED_CHROME, jar, APP_LOCALE_FOLDER);
//  registerChrome(SKIN    | DELAYED_CHROME, jar, APP_SKIN_FOLDER);
  err = performInstall();
  // 999 means restart required (often because old jar has been overwritten)
  if(err == SUCCESS || err == 999) {
    alert(APP_NAME + " " + APP_VERSION + " has been succesfully installed.\n"
      +APP_SUCCESS_MESSAGE
      +"\nPlease restart your browser before continuing.");
  } else {
    alert("Install failed. Error code:" + err);
    cancelInstall(err);
  }
} else {
  alert("Failed to create " +APP_JAR_FILE +"\n"
    +"You probably don't have appropriate permissions \n"
    +"(write access to firebird/chrome directory). \n"
    +"_____________________________\nError code:" + err);
  cancelInstall(err);
}